Bug 7039 - Link to existing record from result list in acquisition search
Summary: Link to existing record from result list in acquisition search
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Andreas Roussos
QA Contact: Bugs List
URL: /cgi-bin/koha/acqui/neworderbiblio.pl
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-17 05:27 UTC by Katrin Fischer
Modified: 2017-01-10 19:23 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
When creating orders from existing records in acquisiton, the result list now links to the existing records, so that it's possible to check for existing items.


Attachments
screenshot (57.20 KB, image/png)
2011-10-17 05:27 UTC, Katrin Fischer
Details
Bug 7039 - Link to existing record from result list in acquisition search (1.75 KB, patch)
2016-09-10 11:45 UTC, Andreas Roussos
Details | Diff | Splinter Review
Bug 7039 - Link to existing record from result list in acquisition search (1.92 KB, patch)
2016-10-03 14:23 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 7039 - Link to existing record from result list in acquisition search (1.99 KB, patch)
2016-10-24 12:57 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2011-10-17 05:27:47 UTC
Created attachment 5910 [details]
screenshot

When creating orders from existing records in acquisiton, the result list should link to the existing records, so that it's possible to check for existing items. The provided MARC view doesn't show how many items are alreay cataloged and what item types have been used etc.
Comment 1 Sandre Cunha 2016-08-06 20:30:22 UTC
I agree; that would be even more useful than being able to view the MARC record.
Comment 2 Andreas Roussos 2016-09-10 11:45:06 UTC
Created attachment 55476 [details] [review]
Bug 7039 - Link to existing record from result list in acquisition search

In the Staff client -> Acquisitions, when creating orders from
existing records the result list should link to the existing
records so that it's possible to check for existing items.

This patch adds that functionality.

Test plan:
1) In the Staff client, go to Acquisitions and try to add an order
   from existing records.
2) Observe that the titles in the Summary column are not hyperlinks.
3) Apply the patch.
4) Repeat step 1), and confirm that the titles are now links
   pointing to each biblio's details page.
Comment 3 Marc Véron 2016-10-03 14:23:44 UTC
Created attachment 55976 [details] [review]
Bug 7039 - Link to existing record from result list in acquisition search

In the Staff client -> Acquisitions, when creating orders from
existing records the result list should link to the existing
records so that it's possible to check for existing items.

This patch adds that functionality.

Test plan:
1) In the Staff client, go to Acquisitions and try to add an order
   from existing records.
2) Observe that the titles in the Summary column are not hyperlinks.
3) Apply the patch.
4) Repeat step 1), and confirm that the titles are now links
   pointing to each biblio's details page.

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 4 Katrin Fischer 2016-10-24 12:57:22 UTC
Created attachment 56765 [details] [review]
[PASSED QA] Bug 7039 - Link to existing record from result list in acquisition search

In the Staff client -> Acquisitions, when creating orders from
existing records the result list should link to the existing
records so that it's possible to check for existing items.

This patch adds that functionality.

Test plan:
1) In the Staff client, go to Acquisitions and try to add an order
   from existing records.
2) Observe that the titles in the Summary column are not hyperlinks.
3) Apply the patch.
4) Repeat step 1), and confirm that the titles are now links
   pointing to each biblio's details page.

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 5 Katrin Fischer 2016-10-24 12:57:50 UTC
Small and useful - thx Andreas!
Comment 6 Kyle M Hall 2016-10-28 16:36:20 UTC
Pushed to master for 16.11, thanks Andreas!
Comment 7 Frédéric Demians 2016-11-02 18:29:11 UTC
Pushed in 16.05. Will be in 16.05.06.